Bug 1344889 - AttributeError: TimeoutHTTPSProxyConnection instance has no attribute '_set_hostport'
Summary: AttributeError: TimeoutHTTPSProxyConnection instance has no attribute '_set_h...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: 22
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 24.4
Assignee: Dan Callaghan
QA Contact: Dan Callaghan
URL:
Whiteboard:
Keywords: Patch, Regression, Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-12 07:51 UTC by Hui Wang
Modified: 2017-10-03 03:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-03 03:57:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hui Wang 2016-06-12 07:51:36 UTC
Description of problem:
If I set the http_proxy, the bkr will show the error: AttributeError: TimeoutHTTPSProxyConnection instance has no attribute '_set_hostport'.

Version-Release number of selected component (if applicable):
Beaker 23.0.git.242.fda9403 
Python 2.7.11

How reproducible:
100%

Steps to Reproduce:
1. Set http_proxy
2. Install/config beaker-client
3. Start kinit
4. $bkr whoami

Actual results:
AttributeError: TimeoutHTTPSProxyConnection instance has no attribute '_set_hostport'


Expected results:
{'username': 'xx', 'email_address': 'xx@redhat.com'}

Additional info:
I tried bkr with http_proxy in python 2.7.5. bkr works well.

Comment 1 Roman Joost 2016-06-13 00:51:52 UTC
More information in the archives:

http://post-office.corp.redhat.com/archives/beaker-dev-list/2016-June/msg00020.html

Comment 2 Dan Callaghan 2017-09-20 07:50:31 UTC
https://gerrit.beaker-project.org/5846

Comment 3 Dan Callaghan 2017-09-27 05:55:27 UTC
This bug fix is included in beaker-client-24.4-0.git.27.414c5acf8 which is currently available for download here:

https://beaker-project.org/nightlies/release-24/

Comment 5 Dan Callaghan 2017-10-03 03:57:58 UTC
Beaker 24.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.